selectSome {Biobase} | R Documentation

## extract aspects of a vector for concise rendering

### Description

extract aspects of a vector for concise rendering

### Usage

    selectSome(obj, maxToShow=5)

### Arguments

`obj` | vector
`maxToShow` | number of elements to render

### Details

This function can be used in 'show' methods to give users exemplars of the tokens used in a vector. For example, an `ExpressionSet` built from a yeast experiment might have features enumerated using systematic gene names (e.g., YPR181C) or standard gene names (e.g., SEC23). The `show` method for `ExpressionSet` uses `selectSome` to alert the user to the tokens used, and thereby to indicate what vocabulary must be understood to work with the feature names.

### Value

A string vector with at most `maxToShow` plus 1 elements, where an ellipsis ("...") is included to indicate incompleteness of the excerpt.

### Author(s)

Martin Morgan <mtmorgan@fhcrc.org>

### Examples

    selectSome(1:20)

[Package Biobase version 1.16.3 Index]